Create a webhook endpoint
Create a new webhook endpoint. The signing secret is returned only once in the response.
Authorization
Bearer AuthorizationBearer <token>
API key (rlay_live_* or rlay_test_*)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{ "url": "http://example.com", "events": [ "post.published" ] }'{ "id": "string", "url": "http://example.com", "secret": "string", "enabled": true, "events": [ "string" ], "created_at": "2019-08-24T14:15:22Z"}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}{ "error": { "code": "string", "message": "string", "details": { "property1": null, "property2": null } }}Found something wrong? Help us improve this page.